# Uses of Class
org.jboss.logging.Logger

## Uses of Logger in org.jboss.logging

Fields in org.jboss.logging declared as Logger
Modifier and Type
Field
Description
`protected final Logger`
DelegatingBasicLogger.`log`
The delegate logger.
Methods in org.jboss.logging that return Logger
Modifier and Type
Method
Description
`Logger`
JBossLogManagerProvider.`getLogger(String name)`
`Logger`
JDKLoggerProvider.`getLogger(String name)`
`Logger`
Log4jLoggerProvider.`getLogger(String name)`
`static Logger`
Logger.`getLogger(Class<?> clazz)`
Get a Logger instance given the name of a class.
`static Logger`
Logger.`getLogger(Class<?> clazz, String suffix)`
Get a Logger instance given the name of a class with the given suffix.
`static Logger`
Logger.`getLogger(String name)`
Get a Logger instance given the logger name.
`static Logger`
Logger.`getLogger(String name, String suffix)`
Get a Logger instance given the logger name with the given suffix.
`Logger`
LoggerProvider.`getLogger(String name)`
Returns a logger which is backed by a logger from the log provider.
`Logger`
Slf4jLoggerProvider.`getLogger(String name)`
Constructors in org.jboss.logging with parameters of type Logger
Modifier
Constructor
Description
``
`DelegatingBasicLogger(Logger log)`
Construct a new instance.